Package picard.sam.markduplicates.util

# Class ReadEndsForMateCigar

java.lang.Object
picard.sam.util.PhysicalLocationInt
picard.sam.util.PhysicalLocationShort
picard.sam.markduplicates.util.ReadEnds
picard.sam.markduplicates.util.ReadEndsForMateCigar

All Implemented Interfaces:
  `Serializable`, `PhysicalLocation`

public class ReadEndsForMateCigar extends ReadEnds
A class to store individual records for MarkDuplicatesWithMateCigar. This aids in comparing records to determine which need to be compared when we mark duplicates. We also store the original SAMRecord and its ordinal in the input file (in SamRecordWithOrdinal) to access optional tags (mate cigar) and other information.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`htsjdk.samtools.util.SamRecordWithOrdinal`
`samRecordWithOrdinal`

### Fields inherited from class picard.sam.markduplicates.util.ReadEnds

`F, FF, FR, isOpticalDuplicate, libraryId, orientation, orientationForOpticalDuplicates, R, read1Coordinate, read1ReferenceIndex, read2Coordinate, read2ReferenceIndex, readGroup, RF, RR`

### Fields inherited from class picard.sam.util.PhysicalLocationInt

`tile, x, y`

### Fields inherited from interface picard.sam.util.PhysicalLocation

`NO_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`ReadEndsForMateCigar(htsjdk.samtools.SAMFileHeader header, htsjdk.samtools.util.SamRecordWithOrdinal samRecordWithOrdinal, OpticalDuplicateFinder opticalDuplicateFinder, short libraryId)`
Builds a read ends object that represents a single read.
`ReadEndsForMateCigar(ReadEndsForMateCigar other, htsjdk.samtools.util.SamRecordWithOrdinal samRecordWithOrdinal)`
Creates a shallow copy from the "other"

## Method Summary

Modifier and Type
Method
Description
`PhysicalLocationForMateCigarSet`
`getLocationSet()`
`Set<ReadEnds>`
`getReadEndSetForOpticalDuplicates()`
Gets the read ends for optical duplicate tracking
`htsjdk.samtools.SAMRecord`
`getRecord()`
`String`
`getRecordReadName()`
`htsjdk.samtools.util.SamRecordWithOrdinal`
`getSamRecordIndex()`
A number of convenience functions
`boolean`
`isPaired()`
`PhysicalLocationForMateCigarSet`
`removeLocationSet()`
`void`
`setLocationSet(PhysicalLocationForMateCigarSet locationSet)`

### Methods inherited from class picard.sam.markduplicates.util.ReadEnds

`getLibraryId, getOrientationByte, getReadGroup, setLibraryId, setReadGroup`

### Methods inherited from class picard.sam.util.PhysicalLocationShort

`setX, setY`

### Methods inherited from class picard.sam.util.PhysicalLocationInt

`getTile, getX, getY, setTile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface picard.sam.util.PhysicalLocation

`hasLocation`

## Field Details

### samRecordWithOrdinal

public htsjdk.samtools.util.SamRecordWithOrdinal samRecordWithOrdinal

## Constructor Details

### ReadEndsForMateCigar

public ReadEndsForMateCigar(htsjdk.samtools.SAMFileHeader header, htsjdk.samtools.util.SamRecordWithOrdinal samRecordWithOrdinal, OpticalDuplicateFinder opticalDuplicateFinder, short libraryId)
Builds a read ends object that represents a single read.

### ReadEndsForMateCigar

public ReadEndsForMateCigar(ReadEndsForMateCigar other, htsjdk.samtools.util.SamRecordWithOrdinal samRecordWithOrdinal)
Creates a shallow copy from the "other"

## Method Details

### getSamRecordIndex

public htsjdk.samtools.util.SamRecordWithOrdinal getSamRecordIndex()
A number of convenience functions

### getRecord

public htsjdk.samtools.SAMRecord getRecord()

### getRecordReadName

public String getRecordReadName()

### isPaired

public boolean isPaired()

Overrides:
  `isPaired` in class `ReadEnds`

### getReadEndSetForOpticalDuplicates

public Set<ReadEnds> getReadEndSetForOpticalDuplicates()
Gets the read ends for optical duplicate tracking

### getLocationSet

public PhysicalLocationForMateCigarSet getLocationSet()

### removeLocationSet

public PhysicalLocationForMateCigarSet removeLocationSet()

### setLocationSet

public void setLocationSet(PhysicalLocationForMateCigarSet locationSet)